Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class MetricUpdateListener

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.MetricUpdateListener

All Implemented Interfaces:
  PropertyChangeListener

public class MetricUpdateListener
extends java.lang.Object
implements PropertyChangeListener

MetricUpdateListener is a simple property listener that pings the Metric data structure to record a timestamp for the metric update. This timestamp update is important because it affects the value(s) of the metric attributes that decorate a property's definition.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`MetricUpdateListener(Metric metric)`

Method Summary
`QName` | `getPropertyName()`
`void` | `propertyChanged(org.w3c.dom.Element oldValue, org.w3c.dom.Element newValue)` Receives the old and new value of the property after it has been changed; there are no requirements on the actions taken in response to a property change.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricUpdateListener

    public MetricUpdateListener(Metric metric)

Method Detail

### getPropertyName

    public QName getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyChangeListener`
  Returns:
    The QName of the property to monitor.

### propertyChanged

    public void propertyChanged(org.w3c.dom.Element oldValue,
                                org.w3c.dom.Element newValue)

  Description copied from interface: `PropertyChangeListener`
  Receives the old and new value of the property after it has been changed; there are no requirements on the actions taken in response to a property change.

  Specified by:
    `propertyChanged` in interface `PropertyChangeListener`
  Parameters:
    `oldValue` - A copy of the property instance before it was changed.
    `newValue` - The current value of the property instance.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD